# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "index-debcargo"
version = "2.0.3"
build = false
include = [
    "src/**",
    "README.md",
    "Cargo.toml",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Find which Rust crates are packaged in Debian via debcargo-conf repository"
homepage = "https://lib.rs/crates/index-debcargo"
readme = "README.md"
license = "CC0-1.0"
repository = "https://codeberg.org/kornelski/rust-index-debcargo.git"

[lib]
name = "index_debcargo"
path = "src/lib.rs"

[dependencies.cargo_author]
version = "1.0.7"

[dependencies.debian-changelog]
version = "0.2"

[dependencies.gix]
version = "0.83"
features = [
    "basic",
    "sha1",
    "blocking-network-client",
    "blocking-http-transport-reqwest-rust-tls",
]
default-features = false

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.18"

[dependencies.toml]
version = "1.1.2"
features = [
    "parse",
    "serde",
]
default-features = false
